### Function

# Vips col_Lab2XYZ

#### Declaration [src]

    void
    vips_col_Lab2XYZ (
      float L,
      float a,
      float b,
      float* X,
      float* Y,
      float* Z
    )

#### Description [src]

Calculate XYZ from Lab, D65.

See also

`vips_Lab2XYZ()`.

#### Parameters

`L`

  Type: `float`

  Input CIE Lab value.

`a`

  Type: `float`

  Input CIE Lab value.

`b`

  Type: `float`

  Input CIE Lab value.

`X`

  Type: `float*`

  Return CIE XYZ colour.

  The argument will be set by the function.

`Y`

  Type: `float*`

  Return CIE XYZ colour.

  The argument will be set by the function.

`Z`

  Type: `float*`

  Return CIE XYZ colour.

  The argument will be set by the function.